typedef LONG Fixed;

typedef struct {
	ULONG oneShotHiSamples,
			repeatHiSamples,
			samplesPerHiCycle;
	UWORD samplesPerSec;
	UBYTE ctOctave,
			sCompression;
	Fixed volume;
} Voice8Header;

#define MAXOCT 16

struct Chunk {
	long ckID;
	long ckSize;
	long ckType;
	void *ckData;
	// Chunk *ckNext;
};

struct ParseInfo {
	struct IFFHandle *iff;
	UBYTE *filename;
	LONG *propchks;
	LONG *collectchks;
	LONG *stopchks;
	BOOL opened;
	BOOL clipboard;
	BOOL hunt;
	BOOL Reserved1;
	
	struct Chunk *copiedchunks;
	struct Chunk *newchunks;
	ULONG Reserved[8];
};

struct EightSVXInfo {
	struct ParseInfo	ParseInfo;
	Voice8Header		Vhdr;
	BYTE					*sample;
	ULONG					samplebytes;
	BYTE					*osamps[MAXOCT];
	ULONG					osizes[MAXOCT];
	BYTE					*rsamps[MAXOCT];
	ULONG					rsizes[MAXOCT];
	ULONG					spcycs[MAXOCT];
	UBYTE					name[80];
	ULONG					Reserved[8];
};

struct Library *IFFParseBase;

